package nc.bs.bgy.pub;

import nc.bs.logging.Log;

public class VerifyLogger {

	private Log log = Log.getInstance("myverifylog");

	private String logHead;

	public VerifyLogger() {
	}

	public VerifyLogger(String logHead) {
		this.logHead = "<" + logHead + ">:  ";
	}

	public void debug(String msg) {
		log.debug(logHead + msg);
	}

	public void info(String msg) {
		log.info(logHead + msg);
	}

	public void warn(String msg) {
		log.warn(logHead + msg);
	}

	public void error(String msg) {
		log.error(logHead + msg);
	}

	public void error(Throwable throwable) {
		log.error(logHead, throwable);
	}

	public void error(String msg, Throwable throwable) {
		log.error(logHead + msg, throwable);
	}

}
